#include <bits/stdc++.h>
#include <math.h>
using namespace std;
int main ()
{
	ifstream f("tsnt.inp");
	ofstream g("tsnt.out");
	long long n,tong=0;
	int k,j,d;
	f>>n;
	for (k=2;k<sqrt(n);k++)
	{
		if (n%k==0)
		{
			g<<k;
			d=n/k;
			}
			}
	for (j=3;j<d;j++)
	{
		if (d%j==0)
		{
			g<<'*'<<j;
			{d=d/j;
			tong=tong+j;}
		}	
		}
	g<<endl<<tong+k;
}


